pandoc (2.9.2.1-1ubuntu2) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Sep 2020 09:16:48 +0200

pandoc (2.9.2.1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Disable optimization on riscv.
    - debian/rules: add arm64 back to the list of low memory builds

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 29 Aug 2020 16:26:15 -0700

pandoc (2.9.2.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update package relations:
    + tighten GHC lower bounds
      for doclayout jira-wiki-markup skylighting
      skylighting-core texmath
    + relax GHC upper bounds
      for doclayout jira-wiki-markup
    Closes: bug#968882, thanks to Adrian Bunk
  * update long descriptions: add new reader CSV
  * unfuzz patches
  * copyright: update coverage
  * add patch cherry-picked upstream
    to revert dependency on base-noprelude
  * fix stop annotate Multi-Arch: same
    for libghc-pandoc-dev libghc-pandoc-prof

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Aug 2020 10:24:33 +0200

pandoc (2.9.1.1-3ubuntu4) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Aug 2020 23:45:54 +0200

pandoc (2.9.1.1-3ubuntu3) groovy; urgency=medium

  * Really apply the change from the previous entry

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Aug 2020 16:38:10 +0200

pandoc (2.9.1.1-3ubuntu2) groovy; urgency=medium

  * debian/rules: add arm back to the list of low memory builds

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Aug 2020 13:43:27 +0200

pandoc (2.9.1.1-3ubuntu1) groovy; urgency=medium

  * Resynchronize on Debian, remaining changes
  * debian/rules:
    - Disable optimization on riscv.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 04 Aug 2020 17:10:56 +0200

pandoc (2.9.1.1-3) unstable; urgency=medium

  * tune build for weak targets:
    + revert to C option ggc-min-expand=10
    + include hppa as a weak target
    + add C option -O0
    really closes: bug#965121, thanks (also) to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Jul 2020 15:31:00 +0200

pandoc (2.9.1.1-2) unstable; urgency=medium

  * reduce compile-time memory utilization on armel and armhf
    (in addition to mips and mipsel),
    and reduce further
    (begin garbage-collect at 5% memory utilization not 10%);
    closes: bug#965121, thanks to Sebastian Ramacher

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Jul 2020 17:13:21 +0200

pandoc (2.9.1.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * fix provide virtual pandoc-abi-*
  * annotate binary package pandoc-dev as Multi-Arch: same
  * drop patch cherry-picked upstream since applied
  * copyright: update coverage
  * update long descriptions:
    + add new reader: Kira markup
  * fix provide virtual pandoc-abi

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2020 12:44:35 +0200

pandoc (2.8.1-2) unstable; urgency=medium

  * fix typo in previous changelog entry
  * declare compliance with Debian Policy 4.5.0
  * mention citation-style-language-styles in README.Debian
    (not only in long description)
  * fix update -doc build-dependencies
  * annotate binary package pandoc-doc as Multi-Arch: foreign;
    annotate binary package pandoc-prof as Multi-Arch: same
  * drop NEWS older than oldstable

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2020 11:29:37 +0200

pandoc (2.8.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    closes: bug#927689, #964822, #959851

  [ Jonas Smedegaard ]
  * fix typo in previous changelog entry
  * suggest citation-style-language-styles;
    mention when suitable to use
    in long description of binary package pandoc
  * provide virtual package pandoc-abi,
    versioned based on pandoc-types upstream version;
    see bug#962715
  * drop patches cherry-picked upstream since applied
  * unfuzz and update patches
  * update package relations:
    + add GHC for attoparsec doclayout hslua-module-system
      skylighting-core text-conversions
    + tighten GHC lower bounds
      for cmark-gfm haddock-library hsyaml pandoc-types
      skylighting texmath
    + relax GHC upper bounds
      for diff cmark-gfm glob haddock-library hsyaml http-client
      pandoc-types quickcheck2 skylighting texmath
  * update long descriptions:
    + add new readers: DokuWiki markup, ipynb (Jupyter notebooks)
    + add new writers: XWiki, Jira, ipynb
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jul 2020 22:19:13 +0200

pandoc (2.5-3) unstable; urgency=medium

  * fix broken latex code for horisontal ruler
    previously silently ignored but failing with recent TeXLive.
    Closes: Bug#944978. Thanks to Francesco Poli.
  * Declare compliance with Debian Policy 4.4.1.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Nov 2019 19:03:47 +0100

pandoc (2.5-2) unstable; urgency=medium

  * Add patch to reference README.Debian when programs are missing.
    Closes: Bug#922418. Thanks to Chris Lamb.
  * Fix consistently rename groff → roff in long description.
  * Use debhelper compatibility level 10.
  * Update watch file: Rewrite usage comment.
  * Fix update README.Debian about packages needed for optional features,
    and include all README.Debian notes in all binary packages.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Sep 2019 11:22:59 +0200

pandoc (2.5-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten GHC lower bounds for texmath pandoc-types skylighting
      hslua hslua-module-text haddock-library.
    + Relax GHC upper bounds for aeson hslua hslua-module-text
      haddock-library juicypixels tasty quickcheck2 zip-archive.
    + Add GHC relations for unicode-transforms hsyaml.
    + Drop GHC relations for yaml scientific.
    + Fix drop GHC relations for mtl parsec3 text (provided by ghc).
  * Drop patch cherry-picked upstream and now applied.
  * Unfuzz patch 2001.
  * Declare compliance with Debian Policy 4.4.0.
  * Update copyright info:
    + Extend coverage for upstream authors.
    + Extend coverage of packaging.
  * Update long descriptions:
    + Add new reader: roff man.
    + Add new writer: PowerPoint pptx.
    + Rename writers to roff (from groff).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Sep 2019 03:11:45 +0200

pandoc (2.2.1-3) unstable; urgency=medium

  * Add patch cherry-picked upstream to allow tasty 1.1.
    Thanks to Ilias Tsitsimpis.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.
  * Update package relations:
    + Relax GHC upper bounds for tasty.
    + Fix relax GHC upper bounds for tasty-quickcheck.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Oct 2018 10:25:47 +0200

pandoc (2.2.1-2) unstable; urgency=medium

  * Fix potential privacy breaches in templates:
    + Add patch 2001 to replace CDN URLs with local paths.
    + Add README.Debian note about Debian packaging favoring locally
      installed resources over network resources for so-called
      standalone documents.
    + Add TODO note about slidy format needing privacy breach fix.
    + Suggest packages libjs-mathjax node-katex, and mention their use
      in long description.
    Closes: Bug#901373. Thanks to Sean Whitton.
  * Mark binary package pandoc-data as Multi-Arch: foreign.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Jun 2018 15:33:38 +0200

pandoc (2.2.1-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Fix typo in usage comment.
    + Mention gbp option --upstream-vcs-tag in usage comment.
  * Update package relations: Relax GHC upper bounds for texmath.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jun 2018 09:49:39 +0200

pandoc (2.2-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Suppress lintian overrides regarding License-Reference for GPL-2.
  * Update Maintainer email address.
  * Declare compliance with Debian Policy 4.1.4.
  * Fix update -doc build-dependencies.
  * Stop repackage upstream source: No longer contains non-DFSG files.
  * Drop all patches: Applied/obsoleted upstream.
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Sort main upstream authors.
  * Update long descriptions:
    + Add new readers: EPUB, FictionBook2.
    + Simplify documenting suggested package requirements.
    + Mention use of ghc nodejs php perl python ruby r-base-core as
      filter interpreters.
  * Update package relations:
    + Tighten GHC lower bounds for pandoc-types.
    + Relax GHC upper bounds for exceptions aeson skylighting temporary
      haddock-library.
    + Fix suggest filter interpreters: ghc nodejs php perl python ruby
      r-base-core.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Apr 2018 15:25:44 +0200

pandoc (2.1.2~dfsg-2) unstable; urgency=medium

  * Fix strip trailing / in Vcs-Git URL.
  * Refresh patches, with shortening quilt options.
  * Add patch cherry-picked upstream to bump upper bound for http-types,
    replacing patch 3001.
  * Update copyright info:
    + Fix expand list of main authors, and extend their coverage.
    + Fix revert coverage extension for a few authors (trusting
      copyright headers in files over COPYRIGHT file where they differ).
    + Fix track file licensed GPL-2.
    + Fix track file licensed WTFPL-2.
    + Fix track files licensed ISC.
    + Sort License sections.
    + Wrap License-Grant and License fields using semantic newlines.
    + Drop non-grant text from License-Grant fields.
    + Add License-Grant field to dual-licensed section.
    + Sort licensed of dual-licensing.
    + Fix include verbatim license BSD-3-clause~JohnMacFarlane (not
      generic BSD-3-clause license text).
    + Consistently list License below License-Grant in Files sections.
    + Wrap License section CC-BY-SA-3.0 using semantic newlines.
  * Update package relations:
    + Fix drop GHC lower bounds satisfied even in oldstable.
    + Fix relax to build-depend unversioned on profiling packages.
    + Fix suggest librsvg2-bin groff.
    + Sort GHC build-dependencies.
  * Fix update long descriptions:
    + Add new readers: JATS, TikiWiki markup, Creole 1.0, Emacs Muse,
      Vimwiki.
    + Add new writers JATS, groff ms, Muse, LaTeX beamer slides,
      PowerPoint.
    + Tidy spelling of groff man and JavaScript.
    + Mention use of librsvg2-bin for SVG in PDF output.
    + Mention use of groff for PDF output via groff ms, and groff man
      and groff ms output.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Apr 2018 15:39:47 +0200

pandoc (2.1.2~dfsg-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Fix watch file.
  * Use package priority optional (not extra: obsolete).
  * Declare compliance with Debian Policy 4.1.3.
  * Update copyright info: Extend coverage for myself.

  [ Sean Whitton ]
  * Team upload.
  * New upstream release (Closes: #891243).
  * Update d/copyright for this release.
  * Add 3001_update_cabal.patch.
  * Drop patches merged upstream.
  * Refresh remaining patches.
  * Point Vcs-* at salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 24 Apr 2018 11:43:06 -0700

pandoc (1.19.2.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fix build with GHC 8.2.1.
    + Add CPP to Setup.hs so it works with Cabal >= 2 and < 2.

  [ Jonas Smedegaard ]
  * Fix suggest context. Improve long description to mention its use.
  * Generate and install bash-completion snippet.
    Build-depend on bash-completion.
  * Declare compliance with Debian Policy 4.1.1.
  * Fix update README.Debian to cover current needs for suggested
    packages.
  * Tighten lintian overrides regarding License-Reference.
  * Enable testsuite.
  * Drop no longer relevant TODO notes.
  * Update package relations:
    + Fix relax GHC upper bounds for diff (as done upstream since 1.11).
    + Relax GHC upper bounds for syb aeson quickcheck2 hunit
      ansi-terminal.
    + Tighten GHC upper bounds for pandoc-types.
  * Refresh and extend patches.
  * Fix repackage upstream source, stripping LaTeXMathML.js:
    Accidentally released 1.19.2.1.0 without stripping.
  * Update copyright info: Use https protocol in file format URL.
  * Use https protocol in homepage URL.
  * Update watch file: Use substitution strings. Tighten dversionmangle.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Oct 2017 14:04:20 +0200

pandoc (1.19.2.1.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fixes lang-Variable collision between pandoc-citeproc and Babel.
      Closes: Bug#870248. Thanks to Claus-Michael.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Add GHC for skylighting (replacing highlighting-kate).
    + Relax GHC upper bounds for aeson blaze-html blaze-markup vector.
  * Update copyright info: Extend coverage for main authors.
  * Drop patch 2003 (relax GHC upper bounds for directory): Relaxed
    upstream now.
  * Unfuzz patches.
  * Add patches cherry-picked upstream to use newer skylighting and
    mention skylighting (not highlighting-kate) in manpage.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Aug 2017 12:33:19 -0400

pandoc (1.19.2.1~dfsg+really1.19.1-1) unstable; urgency=medium

  * Revert to upstream release 1.19.1: Avoid broken skylighting.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Jul 2017 16:20:44 +0000

pandoc (1.19.2.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update package relations:
    + Add GHC for skylighting (replacing highlighting-kate).
    + Relax GHC upper bounds for aeson blaze-html blaze-markup vector.
  * Update copyright info:
    + Extend coverage for main authors.
  * Drop patch 2003: Upstream now relax GHC upper bounds for directory.
  * Unfuzz patches, and advertise DEP3 format.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Jul 2017 23:01:48 +0000

pandoc (1.19.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Add GHC for doctemplates.
    + Tighten GHC lower bounds for mtl.
    + Shift GHC bounds for texmath pandoc-types.
    + Drop GHC lower bounds for network-uri zip-archive tagsoup
      blaze-html yaml vector sha cmark http-types.
    + Drop GHC lower bounds for diff (but unused as testsuite skipped).
    + Relax to build-depend unversioned on haskell-devscripts.
    + Relax to suggest unversioned texlive-latex-extra: Needed versions
      satisfied even in oldsable.
    + Relax GHC upper bounds for aeson.
    + Relax GHC upper bounds for hunit (but unused as testsuite is
      skipped).
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update copyright info: Add and tidy some copyright holders.
  * Modernize cdbs:
    + Check copyright in maintainer script (not during build).
    + Stop build-Depend on licensecheck libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.
    + Relax to build-depend unversioned on cdbs.
  + Update patches:
    + Drop patch 2002: Upstream relaxed GHC lower bounds for http-client
      http-client-tls.
    + Unfuzz patches.
  * Install README.md.
  * Modernize Vcs-Browser field: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.0.0.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Jul 2017 20:12:57 +0200

pandoc (1.17.2~dfsg-4) unstable; urgency=medium

  * Team upload.
  * Bump directory bounds on buildds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jun 2017 08:53:51 +0200

pandoc (1.17.2~dfsg-3) unstable; urgency=medium

  * Reduce compile-time memory utilization on mips and mipsel.

 -- Clint Adams <clint@debian.org>  Fri, 11 Nov 2016 22:46:37 -0500

pandoc (1.17.2~dfsg-2) unstable; urgency=medium

  * Temporarily build-depend on ghc 8 and haskell-devscripts 0.13.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 20:55:47 -0400

pandoc (1.17.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix links with no explicit link text.
      Closes: Bug#828167.

  [ Jonas Smedegaard ]
  * Update long descriptions to (almost) sync with upstream cabal file:
    + Mention new writer for ZimWiki.
    + Mention reader for TWiki markup.
    + Mention explicitly each of readers XHTML and HTML 5.
  * Update package relations:
    + Relax GHC upper bounds for tagsoup http-client http-client-tls
      quickcheck2.
    + Tighten GHC lower bounds for texmath.
  * Add patch 2002 to revert recent seemingly unneeded build-dependency
    tightening for http-client and http-client-tls.
  * Unfuzz patches.
  * Modernize CDBS: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Aug 2016 12:49:00 +0200

pandoc (1.17.1~dfsg-2) unstable; urgency=medium

  [ Sean Whitton ]
  * Update package relations:
    Suggest texlive-latex-extra (not now transitional etoolbox).
    Closes: #833992. Thanks to Adrian Bunk.

  [ Jonas Smedegaard ]
  * Tidy long description.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Aug 2016 17:15:25 +0200

pandoc (1.17.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file:
    + Avoid @ANY_VERSION@ (seemingly broken since devscripts 2.16.5).
  * Update package relations:
    + Relax GHC upper bounds for data-default haddock-library.
    + Tighten GHC lower bounds for texmath highlighting-kate.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jun 2016 22:34:34 +0200

pandoc (1.17.0.3~dfsg-2) unstable; urgency=medium

  * Fix pandoc dependency on pandoc-doc.
    Closes: Bug#826537. Thanks to Simon McVittie.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jun 2016 20:36:14 +0200

pandoc (1.17.0.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file:
    + Add usage comment.
    + Bump to version 4.
    + Add repacksuffix option.
    + Use substitution variables.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Update copyright info:
    + Extend coverage for upstream authors to include current year.
    + Extend coverage of packaging to include current year.
  * Update long descriptions to mention new writer TEI Simple.
  * Declare compliance with Debian Policy 3.9.8.
  * Use https protocol in Vcs-Git URL.
  * Modernize git-buildpackage config:
    + Drop git- prefix.
    + Ignore anything .git*.
  * Unfuzz patches.
  * Modernize copyright-check.
  * Update package relations:
    + Relax GHC upper bounds for zip-archive aeson.
    + Tighten GHC lower bounds for tagsoup.
    + Tighten to build-depend versioned on cdbs: Needed for improved
      copyright-check.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jun 2016 16:21:34 +0200

pandoc (1.16.0.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fix regression in latex smart quote parsing.
      Closes: Bug#810981. Thanks to Paul Menzel.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Suggest wkhtmltopdf, and document its use in long description.
    + Relax GHC upper bounds for http.
    + Tighten GHC lower bounds for texmath highlighting-kate.
    + Shift GHC bounds for pandoc-types cmark.
    + Stop GHC for deepseq-generics.
  * Sync long description with upstream description.
  * Exclude in repackaged upstream tarball yet another docx file lacking
    license.
  * Drop upstream cherry-picked patch now applied.
  * Unfuzz patches.
  * Fix (re)install man page.
    Closes: Bug#797469. Thanks to Alexander Kurtz and others.
  * Stop provide symlink for command hsmarkdown: No longer supported
    upstream.
  * Mark pandoc Multi-Arch:foreign, to ease bootstrapping new archs.
    Closes: bug#787894. Thanks to Johannes Schauer.
  * Fix tighten pandoc dependency on pandoc-data.
    Closes: bug#800935. Thanks to Oleksandr Gavenko.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Feb 2016 16:02:48 +0100

pandoc (1.15.1.1~dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Clint Adams <clint@debian.org>  Sun, 06 Dec 2015 18:24:16 -0500

pandoc (1.15.1.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update package relations:
    + Relax GHC upper bounds for aeson http-types syb hunit.
  * Update long descriptions:
    + Add new readers Word Docx and ODT. Capitalize Markdown format.
  * Update copyright info:
    + Add new copyright holder.
  * Add TODO item about including new bash-completion.
  * Fix lintian overrides.
  * Add lintian override regarding debhelper 9.
  * Add lintian override about missing execute bit: False positive (it
    is a template).
  * export LANG=C.UTF-8 to fix exception thrown building documentation.
  * Add patch cherry-picked upstream to fix crash building documentation
    in non-UTF8 locale.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Oct 2015 12:20:01 +0100

pandoc (1.15.0.6~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Exclude from repackaged upstream tarball yet another docx file
      lacking license.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for main upstream authors.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Update package relations:
    + Tighten GHC versioning for texmath highlighting-kate.
    + Relax GHC versioning for zlib quickcheck2 aeson hslua syb.
    + Add GHC relations for css-text filemanip cmark.
    + Drop GHC relations for css-text.
    + Fix add GHC relations for vector.
    + Relax GHC upper bounds for haddock-library cmark.
  * Update Homepage.
  * Unfuzz patches.
  * Stop install man pages: Handled by upstream build now.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Aug 2015 15:51:19 +0200

pandoc (1.13.2.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Update to build with ghc 7.10.1.
    + Bump package upper bounds for filepath, blaze-html, blaze-markup.

  [ Jonas Smedegaard ]
  * Fix really enable network-uri as intended in 1.13.2~dfsg-2 (not only
    add needed package relations, but also drop negating build option).
  * Update package relations:
    + Fix tighten build-dependency on haskell-devscripts to versions
      using unversioned datadir.
    + Relax GHC upper bounds for blaze-html.
    + Relax to drop GHC lower bounds for text data-default scientific
      haddock-library deepseq-generics juicypixels quickcheck2: Needed
      versions satisfied even in oldstable.
    + Revert to build-depend unversioned on haskell-devscripts (was
      needed only for experimental builds).
  * Update copyright info:
    + Extend coverage for myself.
    + Merge identically licensed Flies-sections.
  * Bump debhelper compatibility level to 9.
  * Move packaging to pkg-haskell Alioth group.
  * Declare compliance with Debian Policy 3.9.6.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Apr 2015 11:45:35 +0200

pandoc (1.13.2~dfsg-4) unstable; urgency=medium

  * Upload to unstable
  * Data dir is no longer versiond in haskell-devscripts

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 11:21:30 +0200

pandoc (1.13.2~dfsg-3) experimental; urgency=medium

  * Override binary-or-shlib-defines-rpath

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 Apr 2015 20:51:55 +0200

pandoc (1.13.2~dfsg-2) experimental; urgency=medium

  [ Jonas Smedegaard ]
  * Fix GHC (build-)dependency resolving for text (broken since
    1.12.2.1-1, but apparently didn't effectively wreak havoc).

  [ Joachim Breitner ]
  * Switch to network-uri

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 Apr 2015 19:41:07 +0200

pandoc (1.13.2~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Exclude in repackaged upstream tarball docx files with ICC profiles
    lacking license.
  * Extract metadata from images, fonts and archives before copyright
    check (instead of just skipping them).
  * Update copyright info:
    + Add/remove copyright holders to reflect new upstream release.
    + Drop no longer used BSD-2-clause license.
    + Include full verbatim statement for public-domain image.
  * Update long descriptions to mention new reader txt2tags, and new
    writers DokuWiki and Haddock markup.
  * Set configure flag to avoid use of libraries not yet in Debian.
  * Update package relations:
    + Build-depend on libimage-exiftool-perl libregexp-assemble-perl
      libipc-system-simple-perl lcdf-typetools: Needed for metadata
      extraction.
    + Tighten GHC (build-)dependencies on zip-archive texmath
      pandoc-types aeson highlighting-kate.
    + Relax GHC (build-)dependencies on text random scientific.
    + Add GHC (build-)dependencies on sha haddock-library
      deepseq-generics juicypixels http-client http-client-tls.
    + Drop GHC (build-)dependencies on attoparsec http-conduit.
  * Update/unfuzz patches.

  [ Joachim Breitner ]
  * Depend on haskell-devscript (>= 0.9), to force building against
    experimental 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 30 Dec 2014 11:45:53 +0100

pandoc (1.12.4.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update long descriptions:
    + Rewrap using Semantic Linefeeds.
    + Mention new reader Emacs Org-mode, and new writer InDesign ICML.
  * Update package relations:
    + Fix tighten GHC (build-)dependencies on quickcheck2 (although
      currently unused: testsuite is disabled).
    + Tighten GHC (build-)dependencies on texmath, pandoc-types, aeson,
      tagsoup, highlighting-kate and yaml.
    + Relax GHC (build-)dependencies on mtl, network and http-conduit.
    + Add GHC (build-)dependencies on scientific.
  * Update copyright info:
    + Extend coverage for upstream authors.
    + Fix double-indent subsequent copyright holders.
    + Extend packaging to cover recent years.
    + Bump licensing of packaging to GPL-3+.
    + Add GPL boilerplate to rules file.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Jun 2014 09:25:54 +0200

pandoc (1.12.3.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Closes: bug#738633.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten GHC (build-)dependencies on texmath, highlighting-kate.
    + Relax GHC (build-)dependencies on text, zip-archive, aeson,
      temporary, attoparsec, http-conduit, blaze-html, blaze-markup.
  * Suggest etoolbox, and clarify in long description when it is needed
    (PDF output of content with YAML metadata).
    Closes: bug#740099. Thanks to Michael D Johnson.
  * Unfuzz patch 1001.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Mar 2014 15:57:19 +0100

pandoc (1.12.2.1-1) unstable; urgency=low

  [ upstream ]
  * New release.
    Closes: bug#724636, #731391.

  [ Jonas Smedegaard ]
  * Fix use relative symlink to S5 data files.
  * Update upstream source URL and use TLS (https), in watch file,
    copyright file and CDBS hints in rules file.
    Mangle ~dfsg suffix in watch file.
  * Update long description based on upstream cabal file (seems more
    accurate than upstream README), additionally mentioning PDF
    renderings of LaTeX and GNU Texinfo writer.
  * Add NEWS file with entry on behavior changes, referring to upstream
    changelog for details.
  * Update package relations:
    + Build-depend on alex and happy.
    + Suggest (not yet packaged) pandoc-citeproc.
    + Stop depending on libghc-citeproc-hs-data.
    + Add GHC (build-)dependencies on unordered-containers, aeson (and
      not json), attoparsec, yaml, hslua, http-conduit, http-types and
      text.
    + Tighten GHC (build-)dependencies on texmath, pandoc-types, tagsoup
      and highlighting-kate.
    + Drop GHC (build-)dependencies on citeproc-hs.
  * Repackage upstream source to avoid minified LaTeXMathML.js code.
    Closes: bug#721417. Thanks to Luca Falavigna.
  * Add patch 1001 to use online LaTeXMathML.js by default.
  * Add patch 2001 to avoid dropped files during build.
  * Update copyright file:
    + Stop covering slide show and LaTeXMathML Javascript code: No
      longer shipped.
    + Cover new Haddock reader: partly BSD-2-clause partly GPL-2+
      licensed.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Dec 2013 14:10:47 +0100

pandoc (1.11.1-5) unstable; urgency=low

  * Have pandoc depend on (not recommend) pandoc-data.
    Closes: bug#724102. Thanks to David Suárez and others involved.
  * Drop bogus note for backporters in changelog entry for 1.11.1-4.
    (note to self: never write notes here, always use README.Debian!).
  * Have pandoc-data symlink and depend on separately packaged S5.
    Closes: bug#631848. Thanks to Clint Adams.
  * Bump standards-version to 3.9.5.
  * Update copyright file to document how Slidy is covered only by W3C
    software license (not also document license).
    Closes: bug#722134. Thanks to Francesco Poli.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Nov 2013 16:09:01 +0100

pandoc (1.11.1-4) unstable; urgency=low

  * Drop superfluous control file Section declaration.
  * Fix reference to GHC 6 in long description.
  * Introduce new binary-all package pandoc-data.
    Closes: bug#697306. Thanks to Joachim Breitner.
  * Add symlink to unversioned datadir when versioned, to ease
    backporting.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Aug 2013 22:29:13 +0200

pandoc (1.11.1-3) unstable; urgency=low

  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions.
  * Fix extend short descriptions to make each unique.
  * Drop obsolete DM-Upload-Allowed hint.
  * Use canonical hostname (anonscm.debian.org) in Vcs-Git URI.
  * Add git URL as alternate source.
  * Fix register documentation with doc-base (broken since ghc6→ghc
    transition).
  * List upstream issue tracker as preferred contact.
  * Stop tracking md5sum of upstream tarball.
  * Fix strip double comma in control file Uploaders field.
    Thanks to Louis Bettens.
  * Drop Haskell cleanup workaround, unneeded for ages (see bug#576447).
    Thanks to Louis Bettens.
  * Handle datadir install in rules file (not using install.in file.
  * Fix resolve datadir at build time, to work with haskell-devscripts
    0.8.19 and newer, while being backports-friendly.
    Thanks to Louis Bettens.
  * Build-depend unversioned on haskell-devscripts: Needed version
    satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Aug 2013 19:27:06 +0200

pandoc (1.11.1-2) unstable; urgency=low

  * Upload to unstable 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 00:41:12 +0200

pandoc (1.11.1-1) experimental; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Relax (currently unused) GHC build-dependency on quickcheck.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Mar 2013 21:31:22 +0100

pandoc (1.11-1) experimental; urgency=low

  [ upstream ]
  * New release.

  * Update package relations:
    + Tighten (build-)dependencies on GHC packages zip-archive, texmath,
      citeproc-hs and highlighting-kate: Needed since 1.11.
    + Relax (build-)dependencies on GHC packages blaze-html and syb:
      Needed since 1.11.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Mar 2013 13:07:54 +0100

pandoc (1.10.1-1) experimental; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Fix syntax for public-domain files.
    + Fix drop Files section for no longer shipped BSD-3-clause licensed
      files.
    + Extend coverage of main copyright holder.
  * Drop patches: All applied upstream.
  * Update long descriptions base on upstream README.
  * Drop configure flag blaze_html_0_5: Now enabled dy default.
  * Reorder *-doc build-dependencies to match *-dev ones.
  * Update package relations:
    + (Build-)depend on GHC packages data-default and (not only *-doc)
      text: Needed since 1.10.
    + Stop (build-)depending on GHC packages utf8-string: Unneeded since
      1.10.
    + Tighten build-dependencies on GHC packages citeproc-hs,
      pandoc-types, diff, test-framework, test-framework-hunit,
      test-framework-quickcheck2 and template-haskell: Needed since
      1.10.
    + Stop build-depending on GHC -doc package xhtml: Unused since
      1.9.1.1.
    + Stop build-depending on GHC -doc package diff: Seemingly never
      actually used.
    + Build-depend on GHC -doc packages rts and utf8-string: Seemingly
      needed (even if undeclared).
    + Relax (build-dependencies on GHC packages ansi-terminal: Changed
      since 1.10.1.
  * Shrink README.source to simply reference wiki page about used
    packaging style.
  * Suppress dist/ dir in gpb.conf, as workaround for upstream shipping
    dirty build dir.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Feb 2013 12:55:18 +0100

pandoc (1.9.4.5-2) experimental; urgency=low

  * Fix (build-)depend on *-extensible-exceptions-*: No longer part of
    GHC package.
  * Bump dephelper compatibility level to 8.
  * Unfuzz no-threaded-runtime patch.
  * Drop flag highlighting: Obsolete since 1.9.1.1.
  * Add flag blaze_html_0_5, bump and tighten (build-)dependency on
    *-blaze-html-*, and (build-)depend on *-blaze-markup-*
    (build-dependency changes was already applied in 1.9.4.5-1, but
    undocuemented and without the needed flag).
  * Update copyright file:
    + Fix use pseudo-license and pseudo-comment sections to obey silly
      restrictions of copyright format 1.0.
    + Strip bogus FIXME.
  * Revert a bunch of superfluous or wrong changes applied undocumented
    in 1.9.4.5-1.
  * Fix stop build-depending on libghc-binary-doc or
    libghc-testpack-doc: Apparently unused and not available for recent
    GHC (already applied in 1.9.4.5-1, but undocumented).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Dec 2012 01:37:31 +0100

pandoc (1.9.4.5-1) experimental; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.4.

 -- Clint Adams <clint@debian.org>  Wed, 07 Nov 2012 15:01:31 -0500

pandoc (1.9.4.2-2) unstable; urgency=low

  * Cherry-pick patch from upstream to not build with the threaded runtime.
    It has a performance penalty and is not supported on multiple Debian
    architectures, leading to build failures there. (Closes: #682433)

 -- Iain Lane <laney@debian.org>  Mon, 23 Jul 2012 20:48:54 +0100

pandoc (1.9.4.2-1) unstable; urgency=low

  * New upstream version, fixing non-ASCII filenames.
  * Add Recommends on libghc-citeproc-hs-data (for --bibliography).

 -- Clint Adams <clint@debian.org>  Sat, 30 Jun 2012 07:14:43 -0400

pandoc (1.9.4.1-1) unstable; urgency=low

  * New upstream release.

  * Update long description to mention new Slideous output format.
  * Tighten (build-)dependencies for highlighting-kate-* packages,
    reflecting upstream change.
  * Drop patch: Adopted upstream.
  * Drop NEWS file: contents relevant only for transisitions from Lenny
    (now oldstable).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Jun 2012 23:12:23 +0200

pandoc (1.9.3-1) unstable; urgency=low

  * New upstream release.

  * (Build-)depend on GHC -doc and -prof packages of blaze-builder
    hs-bibutils random and text: Indirectly needed (at least for -doc
    packages) but not pulled in.
  * Update package relations:
    + Fix have pandoc package recommend libghc-citeproc-hs-data.
      Closes: bug#645530.
    + Fix tighten dependencies needed since 1.8.0.1:
      - libghc-utf8-string-*
      - libghc-syb-*
    + Fix drop dependencies unused since 1.9.1.1:
      - libghc-xhtml-*
      - libghc-dlist-*
    + Fix drop dependencies apparently never used:
      - libghc-testpack-*
      - hscolour
    + Fix drop dependencies apparently used only for testsuite (which
      fails currently so is not enabled):
      - diff
      - test-framework-dev
      - test-framework-hunit-dev
      - test-framework-quickcheck2-dev
      - quickcheck-dev
      - hunit-dev
      - template-haskell-dev
      - ansi-terminal-dev
    + Fix exclude upper bound of libghc-zlib-* versioning (<< not <=).
    + Fix have libghc-* packages depend on ${haskell:Extra-Depends}, as
      suggested in bug#645530.
    + Tighten dependencies needed since 1.9.3:
      - libghc-mtl-*
    + Generally relax to drop lower bound of versionings: Satisfied in
      Wheezy and unavailable in Squeeze or Lenny (libghc-* naming was
      introduced post-Squeeze).
    + Build-depend only on libghc-*-prof packages explicitly declared in
      upstream cabal file (only include libghc-*-doc packages when
      Haddock complains).
    + Sort package relations.
  * Extend long description to mention newly added support for reading
    (not only writing) DocBook XML.
  * Add patch 1001 to support setting language in slidy output.
  * Update copyright file: Extend copyright years.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 May 2012 21:34:54 +0200

pandoc (1.9.2-1) unstable; urgency=low

  * New upstream release.

  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Update copyright file:
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Quote license strings in License comment field.
    + Explicitly mention when non-copyrighted files are in the public
      domain.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Apr 2012 11:39:57 -0400

pandoc (1.9.1.1-1) unstable; urgency=low

  * New upstream release.

  [ Kiwamu Okabe ]
  * Allow DM uploads.
  * New debian/watch file to scan pandoc 1.9
  * Bump standards-version to 3.9.3.
  * Move maintenance to Haskell team, with Jonas and Kiwamu as
    uploaders.
  * Add new (build-)dependencies:
    + libghc-blaze-html-*
    + libghc-temporary-*
    + libghc-zlib-*
    Drop obsolete (build-)dependency:
    + libghc-deepseq-*
    Tighten build-dependencies:
    + libghc-http-dev
    + libghc-texmath-dev
    + libghc-pandoc-types-dev
    + libghc-json-dev
    + libghc-highlighting-kate-dev

  [ Jonas Smedegaard ]
  * Newline-delimit uploaders field.
  * Update copyright file:
    + Extend copyright years.
    + Adapt a Files section.
    + Bump copyright format to final version 1.0.
  * Update long descriptions:
    + Mention newly supported output formats:
      - Word Docx
      - AsciiDoc
      - DZSlides.
    + Explicitly mention output formats XHTML and HTML 5.
    + Explicitly mention out put (sub)format LaTeX beamer.
    + No longer mention markdown2pdf: Dropped upstream.

  [ Clint Adams ]
  * Move -doc build dependencies to Build-Depends-Indep.

 -- Clint Adams <clint@debian.org>  Sun, 04 Mar 2012 20:35:25 -0500

pandoc (1.8.2.1-2) unstable; urgency=low

  * Bump debhelper compatibility level to 7.
  * Update package relations:
    + Fix stop bogusly depending on libghc-rts-doc or libghc-rts-prof.
    + Build-depend-indep on ghc-haddock (not on virtual haddock).
    + Add ${haskell:Depends} ${haskell:Recommends} ${haskell:Suggests}
      and ${haskell:Provides}, and stop explicitly suggesting *-doc
      packages.
      This fixes: bug#640963. Thanks to Clint Adams.
    + Fix depend on ${shlibs:Depends}.
    + Relax to build-depend unversioned on devscripts and debhelper:
      Needed version satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Sep 2011 16:36:16 +0200

pandoc (1.8.2.1-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#640645. Thanks to Clint Adams.
  * Fix adjust package dependencies for recent upstream releases:
    + Suggest texlive-luatex.
    + Stop suggesting texlive-latex-extra.
    + Relax build-dependency on libghc-pandoc-types-dev.
  * Adjust long description: Update references to suggested LaTeX
    packages.
  * Fix build-depend on a bunch of libghc-*-doc.
  * Build-depend on a bunch of libghc-*-prof. Provide binary package
    libghc-pandoc-prof.
    Closes: bug#630713. Thanks to Clint Adams.
  * Fix use true upstream hackage URL (not googlecode).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Sep 2011 18:10:58 +0200

pandoc (1.8.2-1) unstable; urgency=low

  * Build-depend on and suggest some additional -doc packages.
  * Imported Upstream version 1.8.2
  * Update md5sum hint for new upstream 1.8.2 release.
  * Build-depend on libghc-base64-bytestring-dev and -doc. Tighten
    build-dependency on libghc-pandoc-types-dev.
  * Update copyright file: Add Slidy, licensed W3C-Document and
    W3C-Software.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Aug 2011 10:46:52 +0200

pandoc (1.8.1.1-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#613256, #592851. Thanks to Juhapekka Tolvanen and
    Giovanni Mascellani.
  * Update copyright file format to DEP5 draft 174.
  * Update long descriptions to mention newly supported formats and
    features.
  * Update copyright-check suppression hint to match recent CDBS
    releases.
  * Tighten and extend build-dependencies.
  * Bump policy compliance to standards-version 3.9.2.
  * Adapt (build-)dependencies to new GHC naming scheme.
  * Update naming of -dev and -doc packages to drop Haskell major
    version. Thanks to Giovanni Mascellani.
  * Fix install pandoc_markdown.5 manpage.
  * Fix add all data files.
    Closes: bug#610583. Thanks to Rogério Brito.
  * Fix suggest related -doc packages for our -doc package.
  * Put aside upstream-shipped temp files (manpages) during build.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 May 2011 14:44:58 +0200

pandoc (1.6-1) experimental; urgency=low

  * New upstream release.
  * Drop patch 0001 now included upstream.
  * Bump Policy compliance to Standards-Version 3.9.1.
  * Tighten build-dependencies on libghc6-highlighting-kate-dev and
    libghc6-texmath-dev.
  * Sync long descriptions with upstream README: Mention new output
    formats EPUB and Slidy.
  * (Build-)depend on parsec3 packages (not parsec2).
  * Ease building with git-buildpackage:
    + Git-ignore (eventual) quilt .pc dir.
    + Add dpkg-source local-options abort-on-upstream-changes and
      unapply-patches.
  * Rewrite copyright file using Bazaar rev. 137 draft of DEP5 format.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 Dec 2010 17:12:44 +0100

pandoc (1.5.1.1-5) unstable; urgency=low

  * Lower priority of -dev and -doc packages to extra, to match
    overrides.
  * Disable timer to help build on slow arches like hppa.
  * Bump Policy compliance to Standards-Version 3.9.0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Jun 2010 20:59:24 +0200

pandoc (1.5.1.1-4) unstable; urgency=low

  [ John MacFarlane ]
  * Fix install s5 and data directories.

  [ Jonas Smedegaard ]
  * Update watch file to use googlecode.debian.net redirector.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jun 2010 20:51:12 +0200

pandoc (1.5.1.1-3) unstable; urgency=low

  * Really enable threaded RTS only when supported (not when not
    supported, which obviously won't work).
    Closes: bug#578660, thanks to Dann Frazier.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Apr 2010 18:23:28 +0200

pandoc (1.5.1.1-2) unstable; urgency=low

  * Add patch 0001 from upstream implementing configure option -
    threaded.
  * Enable threaded RTS only when supported.
  * Drop some TODOs now solved.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Apr 2010 10:19:50 +0200

pandoc (1.5.1.1-1) unstable; urgency=low

  * New upstream release. Closes: 499864.
    + Pandoc no longer requires Template Haskell.
      Closes: bug#559978.
    + Added --base-header-level option.
      Closes: bug#563416.
    + wrapper script html2markdown dropped.
    + Supports new output formats plain text, OpenDocument XML, ODT, GNU
      Texinfo and MediaWiki markup.
  * Update package relations to match new upstream release:
    + Tighten build-dependency on libghc6-zip-archive-dev.
    + Build-depend on libghc6-http-dev, libghc6-texmath-dev,
      libghc6-xml-dev and libghc6-extensible-exceptions-dev.
    + Drop suggestion on tidy, wget or w3m.
  * Tighten build-dependency on cdbs.
  * Drop all local CDBS snippets, and stop declaring DEB_MAINTAINER_MODE
    in rules file: all included with main cdbs package now.
  * Line-wrap changelog at 72 characters, to please lintian.
  * Bump Standards-Version to 3.8.4.
  * Rewrite copyright file using draft DEP5 rev. 135 format.
  * Fix have -dev package depend on libghc6-highlighting-kate-doc (not
    bogus highlighting-kate-doc).
    Closes: bug#571402, thanks to Lucas Nussbaum.
  * Fix have pandoc package suggest texlive-latex-extra (not only
    texlive-latex-recommended), for ucs.sty needed for PDF output.
    Closes: bug#571678, thanks to Decklin Foster.
  * Drop fallback-suggestion on tetex-extra: dropped since Lenny
    (stable) and unneeded even for Etch (oldstable).
  * Update long descriptions:
    + Advertise new output formats.
    + Clarify Markdown enhancements as optional.
    + Slightly rephrase comparison with other Markdown parsers.
    + Stop advertising wrapper script html2markdown.
    + Mention wrapper script markdown2pdf by name.
    + Mention markdown2pdf requirements on texlive-latex-extra and
      texlive-xetex.
  * Skip copyright-check of some binary files, to avoid hint file
    accidentally treated as binary.
  * Drop configure option -f-wrappers (to generate Haskell binary for
    markdown2pdf instead of using the deprecated shell wrapper script.
  * Add README.Debian to pandoc package, documenting LaTeX requirements
    of markdown2pdf.
    Closes: bug#488642, thanks to intrigeri.
  * Ship hsmardown.1 manpage with packaging source (provided by upstream
    but considered unsuitable for upstream distribution).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 00:26:54 +0200

pandoc (1.3-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * New upstream release.
  * Install (through cdbs) manpages with dh_installman (not dh_install).
  * Drop unneeded configure flag: wrappers.
  * Update local CDBS snippets:
    + Use snippets copyright-check.mk, upstream-tarball.mk and
      buildinfo.mk.
    + Adjust snippets regarding declared build-dependencies.
    + Temporarily work around minor package-relations.mk brokenness.
  * Rewrite copyright to use DEP5 r54 proposed machine-readable format.
  * Add watch file.
  * Fix source stanza in debian/copyright.
  * Switch to source format 3.0 (quilt).

  [ John MacFarlane ]
  * Adjust build-dependencies:
    + Remove alex, c2hs, cpphs, hugs, happy, hmake, hscolour, pkg-config
    + Add hscolour >= 1.8 (for building docs).
  * Fix man page path.
  * Add build depends for doc package.
  * Add hsmarkdown and markdown2pdf scripts in pandoc.install.
  * Add -f-wrappers so Haskell wrappers won't be built.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Dec 2009 10:41:19 +0100

pandoc (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Friendly takeover: Update maintainer field in debian/control.
  * Repackage using CDBS.
  * Resolve all package releationships (except arch-independent build-
    dependencies) in debian/rules, and enable semi-auto-update of
    debian/control.
  * Explicitly build-depend on directly used libraries, and drop no
    longer used perl.
  * Bump debhelper compat level to 6 (newest version supported by
    oldstable - v7 provides no benefit here).
  * Packaging moved to collab-maint Git at Alioth. Update Vcs-*
    stanzas.
  * Bump Policy compliance to standards-version 3.8.3.
  * Package cabal library and its documentation separately.
  * Update doc-base section to Programming (from Apps/Programming).
  * Build-depend on alex, c2hs, cpphs, hugs, happy, hmake, hscolour and
    pkg-config, all possibly used by upstream build system.
  * Enable configure flags for wrappers and highlighting, and build-
    depend versioned on libghc6-highlighting-kate-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Sep 2009 20:02:34 +0200

pandoc (0.46+2+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Text/Pandoc/Definition.hs: Patch file to fix Haddock parse
    error which led to FTBFS. Move annotation of type synonym to before
    the definition. (Closes: #536960)

 -- Iain Lane <laney@ubuntu.com>  Tue, 04 Aug 2009 14:22:55 +0100

pandoc (0.46+2) unstable; urgency=low

  [ Recai Oktaş ]

  * Debian packaging changes:
  
    + Remove bogus dependency on libghc6-uulib-dev.

 -- Recai Oktaş <roktas@debian.org>  Sat, 09 Feb 2008 18:40:00 +0200

pandoc (0.46+1) unstable; urgency=low

  [ Recai Oktaş ]

  * Debian packaging changes:
  
    + Migrate to GHC 6.8.2.  Closes: #461606
    + Add new dependencies libghc6-regex-compat-dev and
      libghc6-uulib-dev.
    + Remove the code in debian/rules which attempts to remove empty
      ghc6.6 include directory.  This code may cause an installation
      failure for the -dev package.  Closes: #460658
    + Fix doc-base to prevent a lintian warning.

 -- Recai Oktaş <roktas@debian.org>  Sat, 09 Feb 2008 04:41:46 +0200

pandoc (0.46) unstable; urgency=low

  [ John MacFarlane ]

  * Made -H, -A, and -B options cumulative: if they are specified
    multiple times, multiple files will be included.

  * Added optional HTML sanitization using a whitelist.
    When this option is specified (--sanitize-html on the command line),
    unsafe HTML tags will be replaced by HTML comments, and unsafe HTML
    attributes will be removed.  This option should be especially useful
    for those who want to use pandoc libraries in web applications,
    where users will provide the input.
    
    + Main.hs:  Added --sanitize-html option.

    + Text.Pandoc.Shared:  Added stateSanitizeHTML to ParserState.

    + Text.Pandoc.Readers.HTML:
      - Added whitelists of sanitaryTags and sanitaryAttributes.
      - Added parsers to check these lists (and state) to see if a given
        tag or attribute should be counted unsafe.
      - Modified anyHtmlTag and anyHtmlEndTag to replace unsafe tags
        with comments.
      - Modified htmlAttribute to remove unsafe attributes.
      - Modified htmlScript and htmlStyle to remove these elements if
        unsafe.

    + Modified README and man pages to document new option.

  * Improved handling of email addresses in markdown and
    reStructuredText. Consolidated uri and email address parsers.
    (Resolves Issue #37.)

    + New emailAddress and uri parsers in Text.Pandoc.Shared.
      - uri parser uses parseURI from Network.URI.
      - emailAddress parser properly handles email addresses with
        periods in them.

    + Removed uri and emailAddress parsers from Text.Pandoc.Readers.RST
      and Text.Pandoc.Readers.Markdown.

  * Markdown reader:

    + Fixed emph parser so that "*hi **there***" is parsed as a Strong
      nested in an Emph. (A '*' is only recognized as the end of the
      emphasis if it's not the beginning of a strong emphasis.)

    + Moved blockQuote parser before list parsers for performance.

    + Modified 'source' parser to allow backslash-escapes in URLs.
      So, for example, [my](/url\(1\)) yields a link to /url(1).
      Resolves Issue #34.

    + Disallowed links within links. (Resolves Issue #35.)
      - Replaced inlinesInBalanced with inlinesInBalancedBrackets, which 
        instead of hard-coding the inline parser takes an inline parser
        as a parameter.
      - Modified reference and inlineNote to use
        inlinesInBalancedBrackets.
      - Removed unneeded inlineString function.
      - Added inlineNonLink parser, which is now used in the definition
        of reference.
      - Added inlineParsers list and redefined inline and inlineNonLink
        parsers in terms of it.
      - Added failIfLink parser.
 
    + Better handling of parentheses in URLs and quotation marks in
      titles.
      - 'source' parser first tries to parse URL with balanced
        parentheses; if that doesn't work, it tries to parse everything
        beginning with '(' and ending with ')'.
      - source parser now uses an auxiliary function source'.
      - linkTitle parser simplified and improved, under assumption that
        it will be called in context of source'.

    + Make 'block' conditional on strictness state, instead of using
      failIfStrict in block parsers. Use a different ordering of parsers
      in strict mode (raw HTML block before paragraph) for performance.
      In non-strict mode use rawHtmlBlocks instead of htmlBlock.
      Simplified htmlBlock, since we know it's only called in strict
      mode.

    + Improved handling of raw HTML.  (Resolves Issue #36.)
      - Tags that can be either block or inline (e.g. <ins>) should
        be treated as block when appropriate and as inline when
        appropriate. Thus, for example,
        <ins>hi</ins>
        should be treated as a paragraph with inline <ins> tags, while
        <ins>
        hi
        </ins>
        should be treated as a paragraph within <ins> tags.
      - Moved htmlBlock after para in list of block parsers.  This
        ensures that tags that can be either block or inline get parsed
        as inline when appropriate.
      - Modified rawHtmlInline' so that block elements aren't treated as
        inline.
      - Modified para parser so that paragraphs containing only HTML
        tags and blank space are not allowed.  Treat these as raw HTML
        blocks instead.

    + Fixed bug wherein HTML preceding a code block could cause it to
      be parsed as a paragraph.  The problem is that the HTML parser
      used to eat all blank space after an HTML block, including the
      indentation of the code block.  (Resolves Issue #39.)
      - In Text.Pandoc.Readers.HTML, removed parsing of following space
        from rawHtmlBlock.
      - In Text.Pandoc.Readers.Markdown, modified rawHtmlBlocks so that
        indentation is eaten *only* on the first line after the HTML
        block.  This means that in
        <div>
             foo
        <div>
        the foo won't be treated as a code block, but in
        <div>
      
            foo
      
        </div>
        it will.  This seems the right approach for least surprise.

  * RST reader:

    + Fixed bug in parsing explicit links (resolves Issue #44).
      The problem was that we were looking for inlines until a '<'
      character signaled the start of the URL; so, if you hit a
      reference-style link, it would keep looking til the end of the
      document.  Fix:  change inline => (notFollowedBy (char '`') >>
      inline).  Note that this won't allow code inlines in links, but
      these aren't allowed in resT anyway.

    + Cleaned up parsing of reference names in key blocks and links.
      Allow nonquoted reference links to contain isolated '.', '-', '_',
      so that strings like 'a_b_' count as links.

    + Removed unnecessary check for following link in str.
      This is unnecessary now that link is above str in the definition of
      'inline'.
     
  * HTML reader:

    + Modified rawHtmlBlock so it parses </html> and </body> tags.
      This allows these tags to be handled correctly in Markdown.
      HTML reader now uses rawHtmlBlock', which excludes </html> and
      </body>, since these are handled in parseHtml.  (Resolves Issue
      #38.)

    + Fixed bug (emph parser was looking for <IT> tag, not <I>).

    + Don't interpret contents of style tags as markdown.
      (Resolves Issue #40.)
      - Added htmlStyle, analagous to htmlScript.
      - Use htmlStyle in htmlBlockElement and rawHtmlInline.
      - Moved "script" from the list of tags that can be either block or
        inline to the list of block tags.

    + Modified rawHtmlBlock to use anyHtmlBlockTag instead of anyHtmlTag
      and anyHtmlEndTag.  This fixes a bug in markdown parsing, where
      inline tags would be included in raw HTML blocks.

    + Modified anyHtmlBlockTag to test for (not inline) rather than
      directly for block.  This allows us to handle e.g. docbook in
      the markdown reader.

  * LaTeX reader:  Properly recognize --parse-raw in rawLaTeXInline.
    Updated LaTeX reader test to use --parse-raw.

  * HTML writer:

    + Modified rules for automatic HTML header identifiers to
      ensure that identifiers begin with an alphabetic character.
      The new rules are described in README.  (Resolves Issue #33.)

    + Changed handling of titles in HTML writer so you don't get
      "titleprefix - " followed by nothing.

  * ConTeXt writer: Use wrappers around Doc elements to ensure proper
    spacing.  Each block element is wrapped with either Pad or Reg.
    Pad'ed elements are guaranteed to have a blank line in between.

  * RST writer:

    + Refactored RST writer to use a record instead of a tuple for
      state, and to include options in state so it doesn't need to be
      passed as a parameter.

    + Use an interpreted text role to render math in restructuredText.
      See http://www.american.edu/econ/itex2mml/mathhack.rst for the
      strategy.
 
  [ Recai Oktaş ]

  * Debian packaging changes:

    + Remove the empty 'include' directory in -dev package, which
      lintian complains about.
    + Bump Standarts-Version to 3.7.3.
    + Use new 'Homepage:' field to specify the upstream URL on
      suggestion of lintian.

 -- Recai Oktaş <roktas@debian.org>  Tue, 08 Jan 2008 05:13:31 +0200

pandoc (0.45) unstable; urgency=low

  [ John MacFarlane ]

  * Simplified parsing of reference keys and notes in markdown and RST
    readers: The Reference data structure from Text.Pandoc.Shared is no
    longer needed, since referenceKey and noteBlock parses return
    strings (as many blank lines as were occupied by the key or note)
    and update state themselves.  getPosition and setPosition are now
    used to ensure that error messages will give the correct line
    number. This yields cleaner (and slightly faster) code, with more
    accurate parsing error messages.

  * Added new Math inline element:

    + Markdown and LaTeX readers now convert TeX math into Math
      elements, not TeX.
    + This allows math to be treated differently from raw TeX in output.
      TeX elements are no longer printed in output formats other than
      Markdown, LaTeX, and ConTeXt.  But Math elements are always
      printed.

  * New default handling of math in writers:

    + New module Text.Pandoc.Readers.TeXMath exports readTeXMath, which
      parses raw TeX math and outputs a string of Pandoc inlines that
      tries to render it as far as possible using unicode characters,
      lapsing into literal TeX when needed.
    + readTeXMath is now used for default HTML output in HTML, S5, RTF,
      and Docbook, if no other method for displaying math in HTML is
      specified.  Enclosing $'s are no longer printed by default.
    + By default, math is put inside <span class="math">. This way it
      can be distinguished from the surrounding text, e.g. put in a
      different font.

  * New --gladtex and --mimetex options for display of math in HTML:

    + If --gladtex is specified, math is output between <eq> tags, so
      it can be processed by gladTeX.
    + If --mimetex is specified, math is put in <img> tags with a link
      to the mimetex CGI script (or any other script that takes TeX math
      as input and outputs an image).  The URL of the script may be
      specified, but defaults to /cgi-bin/mimetex.cgi.
    + HTMLMathMethod structure in WriterOptions keeps track of how to
      display math in HTML output.
    + Updated README with a description of the four options for
      displaying math in HTML.

  * HTML reader:
  
    + Fixed bug: parser for minimized attributes should not swallow
      trailing spaces.
    + Simplified HTML attribute parsing.
    + Changed parsing of code blocks in HTML reader:  <code> tag is no
      longer needed. <pre> suffices. All HTML tags in the code block
      (e.g. for syntax highlighting) are skipped, because they are not
      portable to other output formats. A <code>...</code> block not
      surrounded by <pre> now counts as inline HTML, not a code block.
    + Remove just one leading and one trailing newline from contents of
      <pre>...</pre> in codeBlock parser.
 
  * Markdown reader:

    + Removed support for box-style block quotes.
    + Require space before title in links and references.
      This fixes a bug in parsing URLs like http://silly/url(withparen).
    + Improved and simplified setextHeader parser.
    + Fixed logic in smart quote parsing, adding some needed 'try'
      statements.
    + Fixed smart quote parsing so that unicode characters 8216 and 8217
      are recognized as single quotes, and 8220 and 8221 as double
      quotes.

  * RST reader:

    + Fixed bug in parsing of code blocks. Previously a full tab indent
      was required, but RST allows code to be indented any amount.
      Resolves Issue #27.
    + Allow field lists to be indented.
    + Parse the contents of field lists instead of treating as a raw
      string.
    + Represent field lists as definition lists instead of blockquotes. 
    + Fixed bug in which metadata would be overridden if the document
      contained multiple field lists.
    + Parse fields associated with '.. image::' blocks, and use 'alt'
      field, if given, for image alt and title attributes.  

  * LaTeX reader: 

    + Modified specialChar so that '"' characters are parsed.
    + Fixed a bug in parsing of \[ \] math blocks (thanks to Mark
      Kalderon).

  * HTML writer:

    + Changes in handling of math (see above).
    + Don't produce HTML for table of contents if there are
      no headers. (This would be an empty list, which is invalid XHTML.)

  * Markdown writer:
  
    + Don't print title attribute if title is empty. (This differs from
      the behavior of Markdown.pl, and agrees with PHP Markdown. But
      John Gruber has indicated that he prefers this behavior.) Adjusted
      test suite accordingly.
    + Fixed incorrect line wrapping in paragraphs including hard line
      breaks. Resolves Issue #25.
    + Fixed bug in markdown writer:  If an ordered list item began with
      a marker greater than 3 characters in width, and the item took
      more than one line, it would appear on the line after the list
      marker, e.g.:
  
          (12)
              My list item.
              Multiline.
      
      Now it works as follows:
      
          (12) My list item.
              Multiline.
  
  * RST writer
  
    + Fixed bug in RST writer's handling of ordered lists. Previously,
      list items with multiple lines would not always line up with
      single-line list items. Now, list items are nested the length of
      the list marker + 1. This looks better and ensures that list items
      all line up. (Note that list markers are padded to the length of
      the longest list marker in the series.)
    + Use 3-space indent for unordered lists.
    + If label for a link reference contains a colon, surround it by `
      signs so it won't be interpreted as the end of the link label.

  * LaTeX writer:

    + Cleaner output for footnotes. Footnotes now always begin on a new
      line, and the final } is on a line by itself only when it needs to
      be (i.e. only when the note ends with a Verbatim environment).
    + Added writer options to state, so state doesn't need to be passed
      as a parameter.
    + Text wrapping now provided, using wrapTeXIfNeeded.

  * ConTeXt writer:  many improvements for more idiomatic ConTeXt output
    (thanks to Idris Samawi Hamid for suggestions).

    + PrettyPrint module now used for output.
    + Writer options are now in state, so they don't have to be passed
      as a parameter.
    + Text wrapping now provided, using wrapTeXIfNeeded.
    + Better treatment of footnotes:  footnotes are always on lines by
      themselves, and the final } is on a line by itself only when
      it needs to be (after \stoptyping).
    + Use \subject, \subsubject, ... or \section, \subsection, ... for
      headings, depending on whether --number-sections option is
      selected.
    + Extra blank line inserted after \stopitemize
    + Use new, "official" definition of blockquote environment. Also,
      use blank line after \startblockquote to balance blank line at the
      end.
    + Both itemized and enumerated lists are now generated using
      \start-stopitemize, with appropriate options. Removed definitions
      of ltxenum and ltxitem, which are no longer needed. Provided
      defaults for itemized lists in the preamble. State keeps track of
      ordered list level, so that when default numbering is specified,
      the appropriate scheme can be used.
    + Changed \useurl to \useURL.
    + Changed link color from red to blue.
    + Use \subsubsubsubsection etc., since these are supported 
      (up to at least sub x 5).

  * Text.Pandoc.Shared:

    + Save and restore position in parseFromString, so that accurate
      error messages can be given.
    + Improved efficiency of romanNumeral parser.
    + Added wrappedTeX and wrapTeXIfNeeded functions.  These ensure
      that footnotes occur on lines by themselves (to make them
      easier to see and move) and do not screw up line wrapping.

  * Text.Pandoc.UTF8:  modified fromUTF8 to strip out the BOM
    if present.  Windows Notepad and other applications insert a
    BOM at the beginning of a UTF8 file.

  * Main.hs (tabFilter): Treat '\r' at end of line as newline (in
    addition to "\r\n" and '\n').

  * Added a writer option for wrapped text and a command-line option
    '--no-wrap', which disables text wrapping and minimizes whitespace
    in HTML. (Resolves Issue #26.)

    + Added support for '--no-wrap' to Main.hs.
    + Added wrapIfNeeded function to Text.Pandoc.Shared.
    + Use wrapIfNeeded instead of wrapped in the RST, Man, Docbook, and
      Markdown writers.
    + Added render and renderFragment helpers to HTML writer.

  * Modified html2markdown to run tidy only if the HTML cannot be
    parsed. Previously html2markdown piped all input through tidy
    before passing it to pandoc. This caused problems on certain pages
    (e.g. http://daringfireball.com/markdown) which have well-formed
    XHTML that causes tidy to choke. The solution is to pipe through
    tidy only if pandoc cannot parse the input by itself. This means
    that a temp file is now always used, even when input comes from a
    local file or standard input.

  * Removed 'version' constant from Main.hs; added 'pandocVersion' to
    Text.Pandoc library.

  * pandoc.cabal:

    + Modified to work with GHC 6.8 and Cabal configurations. (For GHC
      6.8, pretty and containers must be added to Build-Depends, and it
      is desirable to use the -O2 compiler option.)  Cabal
      configurations allows one to select options depending on the
      compiler version For GHC 6.6, the splitBase option can be
      disabled.
    + pandoc.cabal.ghc66 is provided for users with older versions of
      Cabal, which do not support configurations.
    + Use Ghc-Prof-Options to ensure that '-auto-all' is used when
      '--enable-(executable|library)-profiling' is specified. Updated
      PROFILING instructions accordingly.

  * Makefile:

    + Makefile now checks GHC version. If GHC is 6.6, pandoc.cabal.ghc66
      is copied to pandoc.cabal, and the old pandoc.cabal is copied
      to pandoc.cabal.orig. Otherwise, pandoc.cabal is copied to
      pandoc.cabal.orig but otherwise unmodified. This way, the Makefile
      will work properly with either GHC 6.6 or 6.8.
    + Changed BUILDCONF to point to dist/setup-config, not
      .setup-config.  This is where current versions of Cabal put it. 
    + Added $(BUILDCMD) target, so setup doesn't get compiled every
      time.
    + Removed dependency of templates on ./templates, which is circular
      now that templates is a subdirectory of the top-level.

  * MacPorts Portfile:

    + Modified to install the pandoc library in addition to programs.
    + Installation must be done manually rather than using Makefile's
      install-all.
    + Note that the library must be registered in the activate phase,
      after the library files have been copied out of the destroot.
      Cabal generates a 'register.sh' script that will do this.

  * debian/control: Added libghc6-network-dev, libghc6-xhtml-dev, and
    libghc6-mtl-dev as dependencies for libghc6-pandoc-dev.
    Closes: #445235

  * debian/rules:  Converted to UTF-8.

  * Changed pandoc home page to http://johnmacfarlane.net/pandoc/.

  * Updated ASCIIMathML.js to latest version.

  * Directory structure:

    + Moved everything from src into the top-level directory.
    + Changed references to source directory in Makefile and
      pandoc.cabal.*.
    + Moved ASCIIMathML.js, headers, and ui into templates directory.
    + Modified fillTemplates.pl to reflect new paths.

  [ Recai Oktaş ]

  * Makefile: Fixed the issue of having two copies of the library
    documentation under some usage scenarios.

  * Replaced 'ghc' with '$(GHC)' in Makefile, and made GHC
    and GHC_PKG configurable through the environment, to support
    unusual ghc installations.  For example:
    GHC=/opt/ghc/bin/ghc GHC_PKG=/opt/ghc/bin/ghc-pkg make

 -- Recai Oktaş <roktas@debian.org>  Sun, 07 Oct 2007 20:51:43 +0300

pandoc (0.44) unstable; urgency=low

  [ John MacFarlane ]

  * Fixed bug in HTML writer:  when --toc was used, anchors were put
    around headers, which is invalid XHTML (block content within inline
    element).  Now the anchors are put inside the header tags.  Resolves
    Issue #23.

  * Added xmlns attribute to html element in html writer tests.
    This attribute is added by more recent versions of the
    xhtml library (>= 3000), and is required for valid XHTML.

  [ Recai Oktaş ]

  * On configure, compile 'Setup.hs' to 'setup' and use 'setup' as the
    build command instead of 'runhaskell', which, on some platforms
    (such as s390, alpha, m68k), throws the following error:

        runhaskell Setup.hs configure --prefix=/usr
        ghc-6.6.1: not built for interactive use

    This causes a serious FTBFS bug.  Closes: #440668.

 -- Recai Oktaş <roktas@debian.org>  Mon, 03 Sep 2007 18:24:02 +0300

pandoc (0.43) unstable; urgency=low

  [ John MacFarlane ]

  * The focus of this release is performance.  The markdown parser
    is about five times faster than in 0.42, based on benchmarks
    with the TextMate manual. 

  * Main.hs: Replaced CRFilter and tabFilter with single function
    tabFilter, which operates on the whole string rather than breaking
    it into lines, and handles dos-style line-endings as well as tabs.

  * Added separate LaTeX reader and native reader tests; removed
    round-trip tests.

  * Text.Pandoc.Shared:

    + Removed tabsToSpaces and tabsInLine (they were used only in
      Main.hs.)
    + General code cleanup (to elimante warnings when compiling with
      -Wall.)
    + Added 'wrapped' function, which helps wrap text into paragraphs,
      using the prettyprinting library.
    + Rewrote charsInBalanced and charsInBalanced'.
        - Documented restriction: open and close must be distinct
          characters.
        - Rearranged options for greater efficiency.
        - Bug fix: Changed inner call to charsInBalanced inside
          charsInBalanced' to charsInBalanced'.
    + anyLine now requires that the line end with a newline (not eof).
      This is a harmless assumption, since we always add newlines to the
      end of a block before parsing with anyLine, and it yields a 10%
      speed boost.
    + Removed unnecessary 'try' in anyLine.
    + Removed unneeded 'try' from romanNumeral parser.
    + Use notFollowedBy instead of notFollowedBy' in charsInBalanced.
    + Removed unneeded 'try' in parseFromString.
    + Removed unneeded 'try' from stringAnyCase.  (Now it behaves
      like 'string'.)
    + Changed definition of 'enclosed' in Text.Pandoc.Shared so that
      'try' is not automatically applied to the 'end' parser. Added
      'try' in calls to 'enclosed' where needed. Slight speed increase.

  * Writers:

    + Replaced individual wrapping routines in RST, Man, and Markdown
      writers with 'wrapped' from Text.Pandoc.Shared.
    + Rewrote LaTeX writer to use the prettyprinting library,
      so we get word wrapping, etc.
    + Modified latex writer tests for new latex writer using
      prettyprinter.
    + Fixed bug in LaTeX writer: autolinks would not cause
      '\usepackage{url}' to be put in the document header. Also, changes
      to state in enumerated list items would be overwritten.
    + In Markdown writer, escape paragraphs that begin with ordered list
      markers, so they don't get interpreted as ordered lists.

  * Text.Pandoc.Reades.LaTeX:

    + Fixed bug in LaTeX reader, which wrongly assumed that the roman
      numeral after "enum" in "setcounter" would consist entirely of
      "i"s. 'enumiv' is legitimate.
    + LaTeX command and environment names can't contain numbers.
    + Rearranged order of parsers in inline for slight speed
      improvement.
    + Added '`' to special characters and 'unescapedChar'.

  * Text.Pandoc.Readers.RST:

    + Removed unneeded try's in RST reader; also minor code cleanup.
    + Removed tabchar.
    + Rearranged parsers in inline (doubled speed).

  * Text.Pandoc.Readers.Markdown:

    + Skip notes parsing if running in strict mode. (This yields a nice
      speed improvement in strict mode.)
    + Simplify autolink parsing code, using Network.URI to test for
      URIs. Added dependency on network library to debian/control and
      pandoc.cabal.
    + More perspicuous definition of nonindentSpaces.
    + Removed unneeded 'try' in 'rawLine'.
    + Combined linebreak and whitespace into a new whitespace parser,
      to avoid unnecessary reparsing of space characters.
    + Removed unnecessary 'try' in 'codeBlock', 'ellipses',
      'noteMarker', 'multilineRow', 'dashedLine', 'rawHtmlBlocks'.
    + Use lookAhead in parsers for setext headers and definition lists
      to see if the next line begins appropriately; if not, don't waste
      any more time parsing.
    + Don't require blank lines after code block. (It's sufficient to
      end code block with a nonindented line.)
    + Changed definition of 'emph': italics with '_' must not
      be followed by an alphanumeric character. This is to help
      prevent interpretation of e.g. [LC_TYPE]: my_type as
      '[LC<em>TYPE]:my</em>type'.
    + Improved Markdown.pl-compatibility in referenceLink: the two parts
      of a reference-style link may be separated by one space, but not
      more... [a] [link], [not]    [a link].
    + Fixed markdown inline code parsing so it better accords with
      Markdown.pl: the marker for the end of the code section is a clump
      of the same number of `'s with which the section began, followed
      by a non-` character. So, for example,
         ` h ``` i ` -> <code>h ``` i</code>.
    + Split 'title' into 'linkTitle' and 'referenceTitle', since the
      rules are slightly different.
    + Rewrote 'para' for greater efficiency.
    + Rewrote link parsers for greater efficiency.
    + Removed redundant 'referenceLink' in definition of inline (it's
      already in 'link').
    + Refactored escapeChar so it doesn't need 'try'.
    + Refactored hrule for performance in Markdown reader.
    + More intelligent rearranging of 'inline' so that most frequently
      used parsers are tried first.
    + Removed tabchar parser, as whitespace handles tabs anyway.

  * Text.Pandoc.CharacterReferences:

    + Refactored.
    + Removed unnecessary 'try's for a speed improvement.
    + Removed unnecessary '&' and ';' from the entity table.

  * Build process:

    + Makefile: Get VERSION from cabal file, not Main.hs.
    + Modified MacPorts Portfile:
        - Depend on haddock
        - Build and install libraries and library documentation in
          addition to pandoc executable
        - Added template item for md5 sum in Portfile.in.
        - Incorporated changes from MacPorts repository (r28278).
    + FreeBSD port:  Don't try to generate distinfo in Makefile.
      It can be made using 'make makesum' in FreeBSD.
    + Make both freebsd and macports targets depend on tarball.

  * Website and documentation:

    + Updated INSTALL instructions.
    + Added pandocwiki demo to website.
    + Removed local references to Portfile, since pandoc is now in the
      MacPorts repository.

 -- Recai Oktaş <roktas@debian.org>  Sun, 02 Sep 2007 15:50:11 +0300

pandoc (0.42) unstable; urgency=low

  [ John MacFarlane ]

  * Main.hs: Use utf8 conversion on the extra files loaded with
    the -H, -C, -B, and -A options.  This fixes problems with unicode
    characters in these files.

  * Exposed Text.Pandoc.ASCIIMathML, since it is imported in
    Text.Pandoc.Readers.HTML and without it we get a linking error when
    using the library.

  * Markdown reader:

    + Added new rule for enhanced markdown ordered lists: if the list
      marker is a capital letter followed by a period (including a
      single-letter capital roman numeral), then it must be followed by
      at least two spaces. The point of this is to avoid accidentally
      treating people's initials as list markers: a paragraph might
      begin, "B. Russell was an English philosopher," and this shouldn't
      be treated as a list.  Documented change in README.
    + Blocks that start with "p. " and a digit are no longer treated
      as ordered lists (it's a page number).
    + Added a needed 'try' to listItem.
    + Removed check for a following setext header in endline.
      A full test is too inefficient (doubles benchmark time), and the
      substitute we had before is not 100% accurate.
    + Don't use Code elements for autolinks if --strict specified. 

  * LaTeX writer:  When a footnote ends with a Verbatim environment, the
    close } of the footnote cannot occur on the same line or an error
    occurs.  Fixed this by adding a newline before the closing } of
    every footnote.

  * HTML writer:
    + Removed incorrect "{}" around style information in HTML tables.
      Column widths now work properly in HTML.
    + If --strict option is specified (and --toc is not), don't include
      identifiers in headers, for better Markdown compatibility.

  * Build process:

    + Separated $(web_dest) and website targets.
    + In website, index.txt is now constructed from template
      index.txt.in.
    + Added freebsd target to Markefile. This creates the freebsd
      Makefile from Makefile.in, and creates distinfo.  Removed Makefile
      and distinfo from the repository.
    + Added macport target to Makefile. Portfile is built from template
      Portfile.in.
    + Removed OSX package targets.  (Too many difficulties involving
      dependencies on dynamic libraries.)
    + More complete INSTALL instructions for all architectures.

  * Website:
    + Added a programming demo, pandocwiki.

  [ Recai Oktaş ]

  * Do not forget to close pandoc's ITP.  Closes: #391666

 -- Recai Oktaş <roktas@debian.org>  Sun, 26 Aug 2007 22:51:32 +0300

pandoc (0.41) unstable; urgency=low

  [ John MacFarlane ]

  * Fixed bugs in HTML reader:
    + Skip material at end *only if* </html> is present (previously,
      only part of the document would be parsed if an error was
      found; now a proper error message is given).
    + Added new constant eitherBlockOrInline with elements that may
      count either as block-level or as inline. Modified isInline and
      isBlock to take this into account.
    + Modified rawHtmlBlock to accept any tag (even an inline tag):
      this is innocuous, because rawHtmlBlock is tried only if a regular
      inline element can't be parsed.
    + Added a necessary 'try' in definition of 'para'.

  * Fixed bug in markdown ordered list parsing.  The problem was that
    anyOrderedListStart did not check for a space following the
    ordered list marker.  So in 'A.B. 2007' the parser would be
    expecting a list item, but would not find one, causing an error.
    Fixed a similar bug in the RST reader.  Resolves Issue #22.

  * Refactored RST and Markdown readers using parseFromString.

  * LaTeX reader will now skip anything after \end{document}.

  * Fixed blockquote output in markdown writer: previously, block
    quotes in indented contexts would be indented only in the first
    line.

  * Added note to INSTALL about variations in versions of the xhtml
    library that can lead to failed tests (thanks to Leif LeBaron).

 -- Recai Oktaş <roktas@debian.org>  Sun, 19 Aug 2007 23:26:07 +0300

pandoc (0.4) unstable; urgency=low

  [ John MacFarlane ]

  * Added two new output formats: groff man pages and ConTeXt. By
    default, output files with extensions ".ctx" and ".context" are
    assumed to be ConTeXt, and output files with single-digit extensions
    are assumed to be man pages.

  * Enhanced ordered lists (documented in README, under Lists):
    + The OrderedList block element now stores information about
      list number style, list number delimiter, and starting number.
    + The readers parse this information when possible.
    + The writers use this information to style ordered lists.
    + The enhancement can be disabled using the --strict option. 

  * Added support for tables (with a new Table block element). Two kinds
    of tables are supported: a simple table with one-line rows, and a
    more complex variety with multiline rows. All output formats are
    supported, but only markdown tables are parsed at the moment. The
    syntax is documented in README.

  * Added support for definition lists (with a new DefinitionList block
    element). All output and input formats are supported. The syntax is
    documented in README.

  * Added support for superscripts and subscripts (with new Superscript
    and Subscript inline elements).  All input and output
    formats.  The syntax is documented in README.

  * Added support for strikeout (with a new Strikeout inline element).
    All input and output formats are supported. Thanks to Bradley Kuhn,
    who contributed a patch. The syntax is documented in README.
    Resolves Issue #18.

  * Added a --toc|--table-of-contents option.  This causes an
    automatically generated table of contents (or an instruction that
    creates one) to be inserted at the beginning of the document. Not
    supported in S5, DocBook, or man page writers.

  * Modified the -m|--asciimathml option:

    + If an optional URL argument is provided, a link is inserted
      instead of the contents of the ASCIIMathML.js script.
    + Nothing is inserted unless the document actually contains
      LaTeX math.

  * Removed Blank block element as unnecessary.

  * Removed Key and Note blocks from the Pandoc data structure. All
    links are now stored as explicit links, and note contents are
    stored with the (inline) notes.

    + All link Targets are now explicit (URL, title) pairs; there
      is no longer a 'Ref' target.
    + Markdown and RST parsers now need to extract data from key and
      note blocks and insert them into the relevant inline elements.
      Other parsers have been simplified, since there is no longer any
      need to construct separate key and note blocks.
    + Markdown, RST, and HTML writers need to construct lists of
      notes; Markdown and RST writers need to construct lists of link
      references (when the --reference-links option is specified); and
      the RST writer needs to construct a list of image substitution
      references. All writers have been rewritten to use the State monad
      when state is required.
    + Several functions (generateReference, keyTable,
      replaceReferenceLinks, replaceRefLinksBlockList, and some
      auxiliaries used by them) have been removed from
      Text.Pandoc.Shared, since they are no longer needed. New functions
      and data structures (Reference, isNoteBlock, isKeyBlock,
      isLineClump) have been added. The functions inTags,
      selfClosingTag, inTagsSimple, and inTagsIndented have been moved
      to the DocBook writer, since that is now the only module that uses
      them. NoteTable is now exported in Text.Pandoc.Shared.
    + Added stateKeys and stateNotes to ParserState; removed
      stateKeyBlocks, stateKeysUsed, stateNoteBlocks,
      stateNoteIdentifiers, stateInlineLinks. 
    + Added writerNotes and writerReferenceLinks to WriterOptions.

  * Added Text.Pandoc module that exports basic readers, writers,
    definitions, and utility functions. This should export everything
    needed for most uses of Pandoc libraries. The haddock documentation
    includes a short example program.

  * Text.Pandoc.ASCIIMathML is no longer an exported module.

  * Added Text.Pandoc.Blocks module to help in printing markdown
    and RST tables.  This module provides functions for working with
    fixed-width blocks of text--e.g., placing them side by side, as
    in a table row.

  * Refactored to avoid reliance on Haskell's Text.Regex library, which
    (a) is slow, and (b) does not properly handle unicode.  This fixed
    some strange bugs, e.g. in parsing S-cedilla, and improved
    performance.

    + Replaced 'gsub' with a general list function  'substitute'
      that does not rely on Text.Regex.
    + Rewrote extractTagType in HTML reader so that it doesn't use
      regexs.
    + In Markdown reader, replaced email regex test with a custom email
      autolink parser (autoLinkEmail). Also replaced selfClosingTag
      regex with a custom function isSelfClosingTag.
    + Modified Docbook writer so that it doesn't rely on Text.Regex for
      detecting 'mailto' links.
    + Removed escapePreservingRegex and reamped entity-handling
      functions in Text.Pandoc.Shared and
      Text.Pandoc.CharacterReferences to avoid reliance on Text.Regex
      (see below on character reference handling changes).

  * Renamed Text.Pandoc.Entities as Text.Pandoc.CharacterReferences.

  * Changed handling of XML entities.  Entities are now parsed (and
    unicode characters returned) in the Markdown and HTML readers,
    rather than being handled in the writers.  In HTML and Docbook
    writers, UTF-8 is now used instead of entities for characters above
    128.  This makes the HTML and DocBook output much more readable and
    more easily editable.

    + Removed sgmlHexEntity, sgmlDecimalEntity, sgmlNamedEntity, and
      sgmlCharacterEntity regexes from Text.Pandoc.Shared.
    + Renamed escapeSGMLChar to escapeCharForXML.  Added
      escapeStringForXML.  Moved both functions to
      Text.Pandoc.Writers.Docbook.
    + Added characterReference parser to
      Text.Pandoc.CharacterReferences.  This parses a string and return
      a unicode character.
    + Rewrote decodeCharacterReferences to use the new parser instead of
      Text.Regex.
    + Added new charRef parser for Markdown and HTML, which replaces the
      old 'entity' parser. Added '&' as a special character in Markdown
      reader.
    + Modified HTML and Markdown readers to call decodeEntities on all
      raw strings (e.g. authors, dates, link titles), to ensure that no 
      unprocessed entities are included in the native representation of
      the document.  (In the HTML reader, most of this work is done by a 
      change in extractAttributeName.)
    + In XML and Markdown output, escape unicode nonbreaking space as
      '&nbsp;', since a unicode non-breaking space is impossible to
      distinguish visually from a regular space.  (Resolves Issue #3.)
    + Removed encodeEntitiesNumerical.
    + Use Data.Map for entityTable and (new) reverseEntityTable, for a
      slight performance boost over the old association list.
    + Removed unneeded decodeEntities from 'str' parser in HTML and
      Markdown readers.

  * Text.Pandoc.UTF8:  Renamed encodeUTF8 to toUTF8, decodeUTF8 to
    fromUTF8, for clarity.

  * Replaced old haskell98 module names replaced by hierarchical module
    names, e.g. List by Data.List.  Removed haskell98 from dependencies
    in pandoc.cabal, and added mtl (needed for state monad). Substituted
    xhtml for html.

  * Refactored and cleaned up character escaping in writers, using
    backslashEscapes and escapeStringUsing functions.

  * Instead of adding "\n\n" to the end of an input string in Main.hs,
    this is now done in the readers. This makes the libraries behave
    the way you'd expect from the pandoc program. Resolves Issue #10.

  * URLs and email addresses in autolinks are now typeset as Code.

  * In Main.hs, changed putStr to putStrLn -- mainly because MacOS X
    doesn't display the whole output unless there's a line ending.

  * Major code cleanup in all modules, for greater consistency,
    concision,
    and readability.

  * HTML reader:

    + Fixed several bugs (extractTagType, attribute parsing).
    + Remove Null blocks in lists of blocks when possible.
    + Allow HTML comments as raw HTML inline.

  * Markdown reader:

    + Ordered list items may no longer begin with uppercase letters, or
      letters greater than 'n'.  (This prevents first initials and page
      reference, e.g. 'p. 400', from being parsed as beginning lists.)
      Also, numbers beginning list items may no longer end with ')',
      which is now allowed only after letters.  Note: These changes
      may cause documents to be parsed differently. Users should take
      care in upgrading.
    + Changed autoLink parsing to conform better to Markdown.pl's
      behavior. <google.com> is not treated as a link, but 
      <http://google.com>, <ftp://google.com>, and
      <mailto:google@google.com> are.
    + Cleaned up handling of embedded quotes in link titles.  Now these
      are stored as a '"' character, not as '&quot;'.
    + Use lookAhead parser for the 'first pass' (looking for reference
      keys), instead of parsing normally, then using setInput to reset
      input.  This yields a slight performance boost.
    + Fixed several bugs in smart quote recognition.
    + Fixed bug in indentSpaces (which didn't properly handle
      cases with mixed spaces and tabs).
    + Consolidated 'text', 'special', and 'inline' into 'inline'.
    + Fixed bug which allowed URL and title to be separated by multiple
      blank lines in links and reference keys.  They can be on separate
      lines but can't have blank lines between them.
    + Correctly handle bracketed text inside inline footnotes and
      links,using new function inlinesInBalanced.  Resolves Issue #14. 
    + Fixed bug in footnotes: links in footnotes were not being
      processed. Solution: three-stage parse. First, get all the
      reference keys and add information to state. Next, get all the
      notes and add information to state. (Reference keys may be needed
      at this stage.) Finally, parse everything else.
    + Replaced named constants like 'emphStart' with literals.
    + Removed an extra occurance of escapedChar in definition of inline.

  * RST reader:

    + Allow the URI in a RST hyperlink target to start on the line
      after the reference key.
    + Added 'try' in front of 'string', where needed, or used a
      different parser.  This fixes a bug where ````` would not be
      correctly parsed as a verbatim `.
    + Fixed slow performance in parsing inline literals in RST reader.
      The problem was that ``#`` was seen by 'inline' as a potential
      link or image.  Fix:  inserted 'notFollowedBy (char '`')' in link
      parsers.  Resolves Issue #8.
    + Use lookAhead instead of getInput/setInput in RST reader.  Removed
      unneeded getState call, since lookAhead automatically saves and
      restores the parser state.
    + Allow hyperlink target URIs to be split over multiple lines, and
      to start on the line after the reference. Resolves Issue #7.
    + Fixed handling of autolinks.

  * LaTeX reader:

    + Replaced 'choice [(try (string ...), ...]' idiom with
      'oneOfStrings', for clarity.
    + Added clauses for tilde and caret. Tilde is \ensuremath{\sim}, and
      caret is \^{}, not \^ as before.
    + Added parsing for \url.
    + Parse \texttt{} as code, provided there's nothing fancy inside.

  * HTML writer:

    + Modified HTML writer to use the Text.XHtml library. This results
      in cleaner, faster code, and it makes it easier to use Pandoc in
      other projects, like wikis, which use Text.XHtml. Two functions
      are now provided, writeHtml and writeHtmlString: the former
      outputs an Html structure, the latter a rendered string. The S5
      writer is also changed, in parallel ways (writeS5, writeS5String).
    + The Html header is now written programmatically, so it has been
      removed from the 'headers' directory. The S5 header is still
      needed, but the doctype and some of the meta declarations have
      been removed, since they are written programatically. This change
      introduces a new dependency on the xhtml package.
    + Fixed two bugs in email obfuscation involving improper escaping
      of '&' in the <noscript> section and in --strict mode. Resolves
      Issue #9.
    + Fixed another bug in email obfuscation: If the text to be
      obfuscated contains an entity, this needs to be decoded before
      obfuscation.
      Thanks to thsutton for the patch. Resolves Issue #15.
    + Changed the way the backlink is displayed in HTML footnotes.
      Instead of appearing on a line by itself, it now generally
      appears on the last line of the note.  (Exception:  when the
      note does not end with a Plain or Para block.) This saves space
      and looks better.
    + Added automatic unique identifiers to headers:
      - The identifier is derived from the header via a scheme
        documented in README.
      - WriterState now includes a list of header identifiers and a
        table of contents in addition to notes.
      - The function uniqueIdentifiers creates a list of unique
        identifiers from a list of inline lists (e.g. headers).
      - This list is part of WriterState and gets consumed by
        blockToHtml
        each time a header is encountered.
    + Include CSS for .strikethrough class in header only if
      strikethrough text appears in the document.
    + If the 'strict' option is specified, elements that do not appear
      in standard markdown (like definition lists) are passed through as
      raw HTML.
    + Simplified treatment of autolinks, using pattern matching instead
      of conditionals.

  * Markdown writer:

    + Links in markdown output are now printed as inline links by
      default, rather than reference links.  A --reference-links option
      has been added that forces links to be printed as reference links.
      Resolves Issue #4.
    + Use autolinks when possible.  Instead of [site.com](site.com), 
      use <site.com>.

  * LaTeX writer:

    + Rewrote to use the State monad. The preamble now includes only
      those packages that are actually required, given the document's
      content.  Thus, for example, if strikeout is not used, ulem is not
      required.  Modified LaTeXHeader accordingly.
    + Modified LaTeX writer to insert '\,' between consecutive quotes.
    + Removed unused function tableRowColumnWidths.
    + Simplified code for escaping special characters.
    + Leave extra blank line after \maketitle.
    + Include empty '\author{}' when no author specified to avoid LaTeX
      errors.
    + Include fancyvrb code in header only if needed -- that is, only
      if there is actually code in a footnote.
    + Use \url{} for autolinks.
    + Include [mathletters] option in ucs package, so that basic unicode
      Greek letters will work correctly.

  * RST writer:  Force blank line before lists, so that sublists will
    be handled correctly.

  * Docbook writer:  Fixed a bug:  email links with text, like
    [foo](me@bar.baz), were being incorrectly treated as autolinks.

  * Removed Text.ParserCombinators.Pandoc and moved all its functions to
    Text.Pandoc.Shared.

  * Text.Pandoc.Shared:

    + Added defaultWriterOptions.
    + Added writerTableOfContents to WriterOptions.
    + Added writerIgnoreNotes option to WriterOptions.  This is needed
      for processing header blocks for a table of contents, since notes
      on headers should not appear in the TOC.
    + Added prettyprinting for native Table format.
    + Removed some unneeded imports.   
    + Moved escape and nullBlock parsers from
      Text.ParserCombinators.Pandoc, since the latter is for
      general-purpose parsers that don't depend on
      Text.Pandoc.Definition.
    + Moved isHeaderBlock from Text.Pandoc.Writers.HTML.
    + Moved Element, headerAtLeast, and hierarchicalize from Docbook
      writer, because HTML writer now uses these in constructing a table
      of contents.
    + Added clauses for new inline elements (Strikeout, Superscript,
      Subscript) to refsMatch.
    + Removed backslashEscape; added new functions escapeStringUsing and
      backslashEscapes.
    + Moved failIfStrict from markdown reader, since it is now used also
      by the HTML reader.
    + Added a 'try' to the definition of indentSpaces.
    + In definition of 'reference', added check to make sure it's not a
      note reference.
    + Added functions: camelCaseToHyphenated, toRomanNumeral,
      anyOrderedListMarker, orderedListmarker, orderedListMarkers,
      charsInBalanced', withHorizDisplacement, romanNumeral
    + Fixed a bug in the anyLine parser. Previously it would parse an
      empty string "", but it should fail on an empty string, or we get
      an error when it is used inside "many" combinators.
    + Removed followedBy' parser, replacing it with the lookAhead parser
      from Parsec. 
    + Added some needed 'try's before multicharacter parsers, especially
      in 'option' contexts.
    + Removed the 'try' from the 'end' parser in 'enclosed', so that
      'enclosed' behaves like 'option', 'manyTill', etc.
    + Added lineClump parser, which parses a raw line block up to and
      including any following blank lines.
    + Renamed parseFromStr to parseFromString.
    + Added a 'try' to the 'end' parser in 'enclosed'.  This makes
      errors in the use of 'enclosed' less likely. Removed some now-
      unnecessary 'try's in calling code.
    + Removed unneeded 'try' in blanklines.
    + Removed endsWith function and rewrote calling functions to use
      isSuffixOf instead.
    + Added >>~ combinator.
    + Fixed bug in normalizeSpaces:  Space:Str "":Space should compress
      to Space.

  * Refactored runtests.pl; added separate tests for tables. 

  * Shell scripts:

    + Added -asxhtml flag to tidy in html2markdown. This will
      perhaps help the parser, which expects closing tags.
    + Modified markdown2pdf to run pdflatex a second time if --toc or
      --table-of-contents was specified; otherwise the table of 
      contents won't appear.
    + Modified markdown2pdf to print a helpful message if the 'ulem'
      LaTeX package is required and not found.
 
  * Changes to build process:

    + Dropped support for compilation with GHC 6.4.  GHC 6.6 or higher
      is now required.
    + Removed cabalize and Pandoc.cabal.in. The repository now contains
      pandoc.cabal itself.
    + Pandoc.cabal has been changed to pandoc.cabal, because HackageDB
      likes the cabal file to have the same name as the tarball. 
    + Expanded and revised the package description in pandoc.cabal.
      Revised the package synopsis.
    + The tarball built by 'make tarball' now contains files built from
      templates (including man pages and shell scripts), so pandoc can
      be built directly using Cabal tools, without preprocessing.
    + Executable binaries are now stripped before installing.
    + Man pages are now generated from markdown sources, using pandoc's
      man page writer.
    + Use HTML version of README (instead of RTF) in Mac OS X installer.
    + Instead of testing for the existence of a pandoc symlink in
      build-exec, use ln -f.

  * Documentation:

    + Updated README and man pages with information on new features.
    + Updated INSTALL instructions with some useful clarifications and
      links. 
    + Updated web content.

  * Added FreeBSD port.

  [ Recai Oktaş ]

  * debian/control:

    + Changed pandoc's Build-Depends to include libghc6-mtl-dev and
      libghc6-xhtml-dev.  Removed libghc6-html-dev.
    + Suggest texlive-latex-recommended | tetex-extra instead of
      tetex-bin.  This brings in fancyvrb and unicode support.

 -- Recai Oktaş <roktas@debian.org>  Tue, 16 Jan 2007 00:37:21 +0200

pandoc (0.3) unstable; urgency=low

  [ John MacFarlane ]

  * Changes in pandoc options:

    + Allow options to follow or precede arguments.
    + Changed '--smartypants' to '--smart' and adjusted symbols
      accordingly.
    + Added '--strict' option.
    + Added '-o/--output' option.
    + Added '--dump-args' and '--ignore-args' options (for use in
      wrappers).
    + Modified '-v' and '-h' output to go to STDERR, not STDOUT, and
      return
      error conditions.  This is helpful for writing wrappers.
    + Added copyright message to '-v' output, modeled after FSF
      messages.
    + Reformatted usage message so that it doesn't wrap illegibly.
    + Removed extra blanks after '-h' and '-D' output.

  * Added docbook writer.

  * Added implicit setting of default input and output format based
    on input and output filename extensions.  These defaults are
    overridden if explicit input and output formats are specified using
    '-t', '-f', '-r', or '-w' options.  Documented in pandoc(1) man page
    and README.

  * Allow ordered list items to begin with (single) letters, as well
    as numbers.  The list item marker may now be terminated either by
    '.' or by ')'.  This extension to standard markdown is documented
    in README.

  * Revised footnote syntax.  (See README for full details.)  The
    '[^1]' format now standard in markdown extensions is supported,
    as are inline footnotes with this syntax: '^[My note.]'.
    The earlier footnote syntax '^(1)' is no longer supported.

  * Improved HTML representation of footnotes.  All footnotes
    are now auto-numbered and appear in an ordered list at the
    end of the HTML document.  Since the default appearance is now
    acceptable, the old footnote styles have been removed from the
    HTML header.

  * Bug fixes:

    + Fixed a serious bug in the markdown, LaTeX, and RST readers.
      These readers ran 'runParser' on processed chunks of text to
      handle embedded block lists in lists and quotation blocks.  But
      then any changes made to the parser state in these chunks was
      lost, as the state is local to the parser.  So, for example,
      footnotes didn't work in quotes or list items.  The fix:  instead
      of calling runParser on some raw text, use setInput to make it the
      input, then parse it, then use setInput to restore the input to
      what it was before.  This is shorter and more elegant, and it
      fixes the problem.
    + Fixed bug in notFollowedBy' combinator (adding 'try' before
      'parser').  Adjusted code that uses this combinator accordingly.
    + Fixed bug in RTF writer that caused improper indentation on
      footnotes occurring in indented blocks like lists.
    + Fixed parsing of metadata in LaTeX reader.  Now the title, author,
      and date are parsed correctly.  Everything else in the preamble
      is skipped.
    + Modified escapedChar in LaTeX reader to allow a '\' at the end of
      a line to count as escaped whitespace.
    + Modified LaTeX reader to produce inline links rather than
      reference links.  Otherwise, links in footnotes aren't handled
      properly.
    + Fixed handling of titles in links in Markdown reader, so that
      embedded quotation marks are now handled properly.
    + Fixed Markdown reader's handling of embedded brackets in links.
    + Fixed Markdown reader so that it only parses bracketed material
      as a reference link if there is actually a corresponding key.
    + Revised inline code parsing in Markdown reader to conform to
      markdown standard.  Now any number of `s can begin inline code,
      which will end with the same number of `s.  For example, to
      have two backticks as code, write ``` `` ```.  Modified Markdown
      writer accordingly.
    + Fixed bug in text-wrapping routine in Markdown and RST writers.
      Now LineBreaks no longer cause wrapping problems.
    + Supported hexadecimal numerical entity references as well as
      decimal ones.
    + Fixed bug in Markdown reader's handling of underscores and other
      inline formatting markers inside reference labels:  for example,
      in '[A_B]: /url/a_b', the material between underscores was being
      parsed as emphasized inlines.
    + Changed Markdown reader's handling of backslash escapes so that
      only non-alphanumeric characters can be escaped.  Strict mode
      follows Markdown.pl in only allowing a select group of punctuation
      characters to be escaped.
    + Modified HTML reader to skip a newline following a <br> tag.
      Otherwise the newline will be treated as a space at the beginning
      of the next line.

  * Made handling of code blocks more consistent.  Previously, some
    readers allowed trailing newlines, while others stripped them.
    Now, all readers strip trailing newlines in code blocks. Writers
    insert a newline at the end of code blocks as needed.

  * Modified readers to make spacing at the end of output more
    consistent.

  * Minor improvements to LaTeX reader:

    + '\thanks' now treated like a footnote.    
    + Simplified parsing of LaTeX command arguments and options.
      commandArgs now returns a list of arguments OR options (in
      whatever order they appear).  The brackets are included, and
      a new stripFirstAndLast function is provided to strip them off
      when needed.  This fixes a problem in dealing with \newcommand
      and \newenvironment.

  * Revised RTF writer:

    + Default font is now Helvetica.
    + An '\f0' is added to each '\pard', so that font resizing works
      correctly.

  * Moved handling of "smart typography" from the writers to the
    Markdown and LaTeX readers.  This allows great simplification of the
    writers and more accurate smart quotes, dashes, and ellipses.
    DocBook can now use '<quote>'.  The '--smart' option now toggles an
    option in the parser state rather than a writer option.  Several new
    kinds of inline elements have been added: Quoted, Ellipses,
    Apostrophe, EmDash, EnDash.

  * Changes in HTML writer:

    + Include title block in header even when title is null.
    + Made javascript obfuscation of emails even more obfuscatory,
      by combining it with entity obfuscation.

  * Changed default ASCIIMathML text color to black.

  * Test suite:

    + Added --strip-trailing-cr option to diff in runtests.pl, for
      compatibility with Windows.
    + Added regression tests with footnotes in quote blocks and lists.

  * Makefile changes:

    + osx-pkg target creates a Mac OS X package (directory). New osx
      directory contains files needed for construction of the package.
    + osx-dmg target creates a compressed disk image containing the
      package.
    + win-pkg target creates Windows binary package.
    + tarball target creates distribution source tarball.
    + website target generates pandoc's website automatically, including
      demos.  New 'web' directory containts files needed for
      construction of the website (which will be created as the 'pandoc'
      subdirectory
      of 'web').
    + Makefile checks to see if we're running Windows/Cygwin; if so,
      a '.exe' extension is added to each executable in EXECS.

  * Removed all wrappers except markdown2pdf and html2markdown.

  * Added new wrapper hsmarkdown, to be used as a drop-in replacement
    for Markdown.pl.  hsmarkdown calls pandoc with the '--strict'
    option and disables other options.

  * Added code to html2markdown that tries to determine the character 
    encoding of an HTML file, by parsing the "Content-type" meta tag.

    + If the encoding can't be determined, then if the content is local,
      the local encoding is used; if it comes from a URL, UTF-8 is used 
      by default.
    + If input is from STDIN, don't try to determine character encoding.
    + Encoding can be specified explicitly using '-e' option.

  * Improved warning messages in wrappers:

    + Print warning if iconv not available
    + More user-friendly error messages in markdown2pdf, when
      pdflatex fails.

  * Code cleanup:

    + Renamed 'Text/Pandoc/HtmlEntities' module to 
      'Text/Pandoc/Entities'. Also changed function names so as
      not to be HTML-specific.
    + Refactored SGML string escaping functions from HTML and Docbook
      writers into Text/Pandoc/Shared.  (escapeSGML, stringToSGML)
    + Removed 'BlockQuoteContext' from ParserContext, as it isn't
      used anywhere.
    + Removed splitBySpace and replaced it with a general, polymorphic
      splitBy function.
    + Refactored LaTeX reader for clarity (added isArg function).
    + Converted some CR's to LF's in src/ui/default/print.css.
    + Added license text to top of source files.
    + Added module data for haddock to source files.
    + Reformatted code for consistency.

  * Rewrote documentation and man pages.  Split README into INSTALL
    and README.

  * Split LICENSE into COPYING and COPYRIGHT.

  * Removed TODO, since we now maintain ToDo on the wiki.

  * Made COPYRIGHT in top level a symlink to debian/copyright, to avoid
    duplication.

  [ Recai Oktaş ]

  * Revamped build process to conform to debian standards and created
    a proper debian package.  Closes: #391666.

  * Modified build process to support GHC 6.6.

    + The package can still be compiled using GHC 6.4.2, though because
      of dependencies the "make deb" target works only with GHC 6.6+.
    + The script 'cabalize' is used to create an appropriate
      'Pandoc.cabal' from 'Pandoc.cabal.in', depending on the GHC and
      Cabal versions.

  * Refactored template processing (fillTemplates.pl).

  * Modified wrapper scripts to make them more robust and portable.
    To avoid code duplication and ensure consistency, wrappers are 
    generated via a templating system from templates in src/wrappers.

    + Wrappers now accept multiple filenames, when appropriate.
    + Spaces and tabs allowed in filenames.
    + getopts shell builtin is used for portable option parsing.
    + Improved html2markdown's web grabber code, making it more robust,
      configurable and verbose.  Added '-e', '-g' options.

 -- Recai Oktaş <roktas@debian.org>  Fri, 05 Jan 2007 09:41:19 +0200

pandoc (0.2) unstable; urgency=low

  * Fixed unicode/utf-8 translation

 -- John MacFarlane <jgm@berkeley.edu>  Mon,  14 Aug 2006 00:00:00 -0400

pandoc (0.1) unstable; urgency=low

  * Initial creation of debian package 

 -- John MacFarlane <jgm@berkeley.edu>  Mon,  14 Aug 2006 00:00:00 -0400

